Subject: bug#10013: man ls

From: Ian Bruntlett <[email-masked]>
Date: Thu, 10 Nov 2011 18:22:45 +0000

Hi,

I was berating an AT&Ter at an ACCU conference a long time ago. I said that "ls" was an example of Unix's unhelpfulness. When he told me that "ls" was short for "list sorted", I remembered it to this day.

Had a look at your man page for ls - it states:-

List  information  about  the FILEs (the current directory by default).
       Sort entries alphabetically if none of -cftuvSUX nor --sort.

Do you think it would be a worthwhile thing to let people know directly that ls is short for "list sorted"?

TTFN,

Ian

-- ACCU - Professionalism in programming - http://www.accu.org/